corda / net.corda.flows / CashPaymentFlow / <init>

# <init>

`CashPaymentFlow(amount: Amount<Issued<Currency>>, recipient: Party)`

`CashPaymentFlow(amount: Amount<Issued<Currency>>, recipient: Party, progressTracker: ProgressTracker)`

Initiates a flow that produces an cash move transaction.

### Parameters

`amount` - the amount of a currency to pay to the recipient.

`recipient` - the party to pay the currency to.